# scipy.interpolate.PchipInterpolator.integrate

`PchipInterpolator.``integrate`(a, b, extrapolate=None)

  Compute a definite integral over a piecewise polynomial.

  Parameters:

  a : float

  > Lower integration bound

  b : float

  > Upper integration bound

  extrapolate : bool, optional

  > Whether to extrapolate to out-of-bounds points based on first and last intervals, or to return NaNs. Defaults to `self.extrapolate`.

  Returns:

  array_like

  > Definite integral of the piecewise polynomial over [a, b]